use 5.008006;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'PLext',
    VERSION_FROM      => 'lib/PLext.pm', # finds $VERSION
    PREREQ_PM         => {}, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/PLext.pm', # retrieve abstract from module
       AUTHOR         => 'Fez') : ()),
    LIBS              => [''], # e.g., '-lm'
    DEFINE            => '-ObjC', # e.g., '-DHAVE_SOMETHING'
    CCFLAGS           => '-arch i386 -arch ppc -g -pipe -fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -ObjC -I/usr/local/include',
    INC               => '-I. -I/System/Library/Perl/5.8.8/darwin-thread-multi-2level/CORE', # e.g., '-I. -I/usr/include/other'
	# Un-comment this if you add C files to link with later:
    OBJECT            => 'PLext.o bh_finder.o bh_panel.o bh_pboard.o bh_shared.o', # link all the C files too
	LDDLFLAGS	  		  => '-bundle -undefined dynamic_lookup -L/usr/local/lib -framework CoreFoundation -framework Cocoa -arch i386 -arch ppc'
);
