MODULE = PLext		PACKAGE = Finder		

SV *
select_file(fname, dirname)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id fname = BHConvertToNativeString(ST(0));
		id dirname = BHConvertToNativeString(ST(1));
		int flag = bhfinder_select_file(fname, dirname);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL
		
SV *
open_file(fname, appname)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id fname = BHConvertToNativeString(ST(0));
		id appname = BHConvertToNativeString(ST(1));
		int flag = bhfinder_open_file(fname, appname);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL

SV *
open_url(url)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id url = BHConvertToNativeString(ST(0));
		int flag = bhfinder_open_url(url);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL


SV *
move_files(flist, srcd, dstd)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id flist = BHConvertToNativeArray(ST(0));
		id srcd = BHConvertToNativeString(ST(1));
		id dstd = BHConvertToNativeString(ST(2));
		int flag = bhfinder_move_files(flist, srcd, dstd);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL
		
SV *
copy_files(flist, srcd, dstd)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id flist = BHConvertToNativeArray(ST(0));
		id srcd = BHConvertToNativeString(ST(1));
		id dstd = BHConvertToNativeString(ST(2));
		int flag = bhfinder_copy_files(flist, srcd, dstd);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL
		
SV *
recycle_files(flist, srcd)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id flist = BHConvertToNativeArray(ST(0));
		id srcd = BHConvertToNativeString(ST(1));
		int flag = bhfinder_recycle_files(flist, srcd);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL


SV *
delete_files(flist, srcd)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id flist = BHConvertToNativeArray(ST(0));
		id srcd = BHConvertToNativeString(ST(1));
		int flag = bhfinder_delete_files(flist, srcd);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL


SV *
launch_app(appname)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id appname = BHConvertToNativeArray(ST(0));
		int flag = bhfinder_launch_app(appname);
		RETVAL = BHScriptBoolObject(flag);
		[p release];
	OUTPUT:
	RETVAL
