MODULE = PLext		PACKAGE = Panel		


SV *
show_info(ttl, msg, def, alt, oth)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id ttl = BHConvertToNativeString(ST(0));
		id msg = BHConvertToNativeString(ST(1));
		id def = BHConvertToNativeString(ST(2));
		id alt = BHConvertToNativeString(ST(3));
		id oth = BHConvertToNativeString(ST(4));
		int rc = bh_panel_info(ttl, msg, def, alt, oth);
		RETVAL = BHScriptIntObject(rc);
		[p release];
	OUTPUT:
	RETVAL
		

SV *
show_alert(ttl, msg, def, alt, oth)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id ttl = BHConvertToNativeString(ST(0));
		id msg = BHConvertToNativeString(ST(1));
		id def = BHConvertToNativeString(ST(2));
		id alt = BHConvertToNativeString(ST(3));
		id oth = BHConvertToNativeString(ST(4));
		int rc = bh_panel_alert(ttl, msg, def, alt, oth);
		RETVAL = BHScriptIntObject(rc);
		[p release];
	OUTPUT:
	RETVAL
	

SV *
show_prompt(ttl)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id ttl = BHConvertToNativeString(ST(0));
		id rc = bh_panel_prompt(ttl);
		RETVAL = BHConvertToScriptString(rc);
		[p release];
	OUTPUT:
	RETVAL
		

SV *
show_dir_open(dirpath, okmult)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id dirpath = BHConvertToNativeString(ST(0));
		id okmult = BHConvertToNativeNumber(ST(1));
		id rc = bh_panel_dir_open(dirpath, [okmult boolValue]);
		RETVAL = BHConvertToScriptArray(rc);
		[p release];
	OUTPUT:
	RETVAL
		

SV *
show_file_open(dirpath, okmult)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id dirpath = BHConvertToNativeString(ST(0));
		id ftypes = BHConvertToNativeArray(ST(1));
		id okmult = BHConvertToNativeNumber(ST(2));
		id rc = bh_panel_file_open(dirpath, ftypes, [okmult boolValue]);
		RETVAL = BHConvertToScriptArray(rc);
		[p release];
	OUTPUT:
	RETVAL
		

SV *
show_file_save(dirpath, fname)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id dirpath = BHConvertToNativeString(ST(0));
		id fname = BHConvertToNativeString(ST(1));
		id rc = bh_panel_file_save(dirpath, fname);
		RETVAL = BHConvertToScriptString(rc);
		[p release];
	OUTPUT:
	RETVAL
		
SV *
show_select(ttl, slist)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id ttl = BHConvertToNativeString(ST(0));
		id slist = BHConvertToNativeArray(ST(1));
		id rc = bh_panel_select(ttl, slist);
		RETVAL = BHConvertToScriptArray(rc);
		[p release];
	OUTPUT:
	RETVAL
		
SV *
show_select_indices(ttl, slist)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id ttl = BHConvertToNativeString(ST(0));
		id slist = BHConvertToNativeArray(ST(1));
		id rc = bh_panel_select_indices(ttl, slist);
		RETVAL = BHConvertToScriptArray(rc);
		[p release];
	OUTPUT:
	RETVAL
		

