MODULE = PLext		PACKAGE = Pasteboard		

SV *
get_types(pbname)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtypes = bh_pboard_get_types(pbname);
		RETVAL = BHConvertToScriptArray(pbtypes);
		[p release];
	OUTPUT:
	RETVAL
	

void
declare_types(pbname, pbtypes)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtypes = BHConvertToNativeArray(ST(1));
		bh_pboard_set_types(pbname,pbtypes);
		[p release];
		
SV *
read_data(pbname, pbtype)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbdata = bh_pboard_read_data(pbname, pbtype);
		RETVAL = BHConvertToScriptData(pbdata);
		[p release];
	OUTPUT:
	RETVAL
	

void
write_data(pbname, pbtype, pbdata)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbdata = BHConvertToNativeData(ST(2));
		bh_pboard_write_data(pbname, pbtype, pbdata);
		[p release];
		
SV *
read_string(pbname, pbtype)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbstrg = bh_pboard_read_string(pbname, pbtype);
		RETVAL = BHConvertToScriptString(pbstrg);
		[p release];
	OUTPUT:
	RETVAL
		
void
write_string(pbname, pbtype, pbstrg)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbstrg = BHConvertToNativeString(ST(2));
		bh_pboard_write_string(pbname, pbtype, pbstrg);
		[p release];
		
SV *
read_array(pbname, pbtype)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbarry = bh_pboard_read_array(pbname, pbtype);
		RETVAL = BHConvertToScriptArray(pbarry);
		[p release];
	OUTPUT:
	RETVAL
	
void
write_array(pbname, pbtype, pbplist)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbplist = BHConvertToNativeArray(ST(2));
		bh_pboard_write_array(pbname, pbtype, pbplist);
		[p release];
		
SV *
read_hash(pbname, pbtype)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbarry = bh_pboard_read_dictionary(pbname, pbtype);
		RETVAL = BHConvertToScriptDictionary(pbarry);
		[p release];
	OUTPUT:
	RETVAL

void
write_hash(pbname, pbtype, pbplist)
	CODE:
		id p = [[NSAutoreleasePool alloc] init];
		id pbname = BHConvertToNativeString(ST(0));
		id pbtype = BHConvertToNativeString(ST(1));
		id pbplist = BHConvertToNativeDictionary(ST(2));
		bh_pboard_write_dictionary(pbname, pbtype, pbplist);
		[p release];

		
